| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Properties

# IG::Num::MExt Class Reference

Defines some mathematical functions to be used in derived classes. In addition to functions defined in the M class, functions are defined under other names, and some additional functions are also defined. * Standard mathematical functions and constants with short names are implemented, e.g. sin() instesd of Math.Sin().** These functions are static such that they can be used out of the derived classes, too.*** In particular, some script classes derive from this one, in order to use simple-named mathematical functions.** Some functions are defined with several names, in order to reduce probability of errors in scripts. More...

Inheritance diagram for IG::Num::MExt:
[legend]
Collaboration diagram for IG::Num::MExt:
[legend]

List of all members.

## Static Public Member Functions
static double | Abs (double a)
| Absolute value.
static double | Sign (double a)
| Returns a value indicating the sign of a number.
static double | sgn (double a)
| Returns a value indicating the sign of a number.
static double | Ceiling (double a)
| Returns the smallest integral value that is greater than or equal to the specified decimal number.
static double | ceiling (double a)
| Returns the smallest integral value that is greater than or equal to the specified decimal number.
static double | Floor (double a)
| Returns the largest integer less than or equal to the specified number.
static double | Truncate (double a)
| Calculates the integral part of a specified double-precision floating-point number.
static double | truncate (double a)
| Calculates the integral part of a specified number.
static double | Min (double a, double b)
| Smallest of two numbers.
static double | Max (double a, double b)
| Largest of two numbers.
static double | Min (double a, double b, double c)
| Smallest of three numbers.
static double | Max (double a, double b, double c)
| Largest of three numbers.
static double | Min (double a, double b, double c, double d)
| Smallest of four numbers.
static double | Max (double a, double b, double c, double d)
| Largest of four numbers.
static double | Min (double a, double b, double c, double d, double e)
| Smallest of five numbers.
static double | Max (double a, double b, double c, double d, double e)
| Largest of five numbers.
static double | Min (double a, double b, double c, double d, double e, double f)
| Smallest of six numbers.
static double | Max (double a, double b, double c, double d, double e, double f)
| Largest of six numbers.
static double | Min (params double[] numbers)
| Minimal of the specified values.
static double | Max (params double[] numbers)
| Maximal of the specified values.
static double | Sum (params double[] numbers)
| Sum of the specified values.
static double | Product (params double[] numbers)
| Product of the specified values.
static double | product (params double[] numbers)
| Product of the specified values.
static double | Pow (double a, double b)
| Returns a specified number raised to the specified power.
static double | Sqr (double a)
| Returns the square of a specified number.
static double | Cube (double a)
| Returns the square of a specified number.
static double | Pow2 (double x)
| Square.
static double | Pow3 (double x)
| 3rd power.
static double | Pow4 (double x)
| 4th power.
static double | Pow5 (double x)
| 5th power.
static double | Pow6 (double x)
| 6th power.
static double | Sqrt (double a)
| Returns the square root of a specified number.
static double | Root2 (double a)
| Returns the square root of a specified number.
static double | Root3 (double a)
| Returns the cubic root of a specified number.
static double | Exp (double a)
| Returns e raised to the specified power.
static double | Log (double a)
| Returns the natural (base e) logarithm of a specified number.
static double | Log10 (double a)
| Returns the base 10 logarithm of a specified number.
static double | Log2 (double a)
| Returns the base 2 logarithm of a specified number.
static double | Log (double a, double logBase)
| Returns the logarithm of a specified number in a specified base.
static double | Degrees (double x)
| Converts angle in radians to angle in degrees and returns it.
static double | Radians (double x)
| Converts angle in degrees to angle in radians and returns it.
static double | Sin (double a)
| Returns the sine of the specified angle.
static double | Cos (double a)
| Returns the cosine of the specified angle.
static double | Tan (double a)
| Returns the tangent of the specified angle.
static double | tan (double a)
| Returns the tangent of the specified angle.
static double | Cot (double x)
| Returns cotangent of the specified angle.
static double | Acos (double a)
| Returns the angle whose cosine is the specified number.
static double | acos (double a)
| Returns the angle whose cosine is the specified number.
static double | Asin (double a)
| Returns the angle whose sine is the specified number.
static double | asin (double a)
| Returns the angle whose sine is the specified number.
static double | Atan (double a)
| Returns the angle whose tangent is the specified number.
static double | atan (double a)
| Returns the angle whose tangent is the specified number.
static double | arctan (double a)
| Returns the angle whose tangent is the specified number.
static double | Acot (double x)
| Arc cotangent, inverse of 1/tan(x).
static double | acot (double x)
| Arc cotangent, inverse of 1/tan(x).
static double | ArcCot (double x)
| Arc cotangent, inverse of 1/tan(x).
static double | arccot (double x)
| Arc cotangent, inverse of 1/tan(x).
static double | Atan2 (double a, double b)
| Returns the angle whose tangent is the quotient of two specified numbers.
static double | atan2 (double a, double b)
| Returns the angle whose tangent is the quotient of two specified numbers.
static double | arctan2 (double a, double b)
| Returns the angle whose tangent is the quotient of two specified numbers.
static double | Sinh (double a)
| Returns the hyperbolic sine of the specified angle.
static double | sinh (double a)
| Returns the hyperbolic sine of the specified angle.
static double | Cosh (double a)
| Returns the hyperbolic cosine of the specified angle.
static double | cosh (double a)
| Returns the hyperbolic cosine of the specified angle.
static double | Tanh (double a)
| Returns the hyperbolic tangent of the specified angle.
static double | tanh (double a)
| Returns the hyperbolic tangent of the specified angle.
static double | Coth (double x)
| Hyperblic cotangent, 1/Math.Tanh.
static double | coth (double x)
| Hyperblic cotangent, 1/Math.Tanh.
static double | Arsinh (double x)
| Inverse hyperbolic sine.
static double | Arcosh (double x)
| Inverse hyperbolic cosine.
static double | Artanh (double x)
| Inverse hyperbolic tangent.
static double | Arcoth (double x)
| Inverse hyperbolic cotangent.
static long | Factorial (int factor)
| Returns factorial of the specified number.
static long | factorial (int factor)
| Returns factorial of the specified number.
static long | BinomialCoefficient (long n, long k)
| Returns binomial coefficient n over k .
## Properties
static double | E`[get]`
| Natural logarithmic base.
static double | Pi`[get]`
| Ratio of the circumference of a circle to its diameter.
static double | Zero`[get]`
| Zero (value 0.0).
static double | One`[get]`
| One (value 1.0).

## Detailed Description

Defines some mathematical functions to be used in derived classes. In addition to functions defined in the M class, functions are defined under other names, and some additional functions are also defined.

* Standard mathematical functions and constants with short names are implemented, e.g. sin() instesd of Math.Sin().

** These functions are static such that they can be used out of the derived classes, too.

*** In particular, some script classes derive from this one, in order to use simple-named mathematical functions.

** Some functions are defined with several names, in order to reduce probability of errors in scripts.

## Member Function Documentation

static double IG::Num::MExt::Abs | ( | double | a | ) | `[inline, static]`

Absolute value.

static double IG::Num::MExt::Sign | ( | double | a | ) | `[inline, static]`

Returns a value indicating the sign of a number.

static double IG::Num::MExt::sgn | ( | double | a | ) | `[inline, static]`

Returns a value indicating the sign of a number.

static double IG::Num::MExt::Ceiling | ( | double | a | ) | `[inline, static]`

Returns the smallest integral value that is greater than or equal to the specified decimal number.

static double IG::Num::MExt::ceiling | ( | double | a | ) | `[inline, static]`

Returns the smallest integral value that is greater than or equal to the specified decimal number.

static double IG::Num::MExt::Floor | ( | double | a | ) | `[inline, static]`

Returns the largest integer less than or equal to the specified number.

static double IG::Num::MExt::Truncate | ( | double | a | ) | `[inline, static]`

Calculates the integral part of a specified double-precision floating-point number.

static double IG::Num::MExt::truncate | ( | double | a | ) | `[inline, static]`

Calculates the integral part of a specified number.

static double IG::Num::MExt::Min | ( | double | a,
|  | double | b
| ) |  | `[inline, static]`

Smallest of two numbers.

static double IG::Num::MExt::Max | ( | double | a,
|  | double | b
| ) |  | `[inline, static]`

Largest of two numbers.

static double IG::Num::MExt::Min | ( | double | a,
|  | double | b,
|  | double | c
| ) |  | `[inline, static]`

Smallest of three numbers.

static double IG::Num::MExt::Max | ( | double | a,
|  | double | b,
|  | double | c
| ) |  | `[inline, static]`

Largest of three numbers.

static double IG::Num::MExt::Min | ( | double | a,
|  | double | b,
|  | double | c,
|  | double | d
| ) |  | `[inline, static]`

Smallest of four numbers.

static double IG::Num::MExt::Max | ( | double | a,
|  | double | b,
|  | double | c,
|  | double | d
| ) |  | `[inline, static]`

Largest of four numbers.

static double IG::Num::MExt::Min | ( | double | a,
|  | double | b,
|  | double | c,
|  | double | d,
|  | double | e
| ) |  | `[inline, static]`

Smallest of five numbers.

static double IG::Num::MExt::Max | ( | double | a,
|  | double | b,
|  | double | c,
|  | double | d,
|  | double | e
| ) |  | `[inline, static]`

Largest of five numbers.

static double IG::Num::MExt::Min | ( | double | a,
|  | double | b,
|  | double | c,
|  | double | d,
|  | double | e,
|  | double | f
| ) |  | `[inline, static]`

Smallest of six numbers.

static double IG::Num::MExt::Max | ( | double | a,
|  | double | b,
|  | double | c,
|  | double | d,
|  | double | e,
|  | double | f
| ) |  | `[inline, static]`

Largest of six numbers.

static double IG::Num::MExt::Min | ( | params double[] | numbers | ) | `[inline, static]`

Minimal of the specified values.

static double IG::Num::MExt::Max | ( | params double[] | numbers | ) | `[inline, static]`

Maximal of the specified values.

static double IG::Num::MExt::Sum | ( | params double[] | numbers | ) | `[inline, static]`

Sum of the specified values.

static double IG::Num::MExt::Product | ( | params double[] | numbers | ) | `[inline, static]`

Product of the specified values.

static double IG::Num::MExt::product | ( | params double[] | numbers | ) | `[inline, static]`

Product of the specified values.

static double IG::Num::MExt::Pow | ( | double | a,
|  | double | b
| ) |  | `[inline, static]`

Returns a specified number raised to the specified power.

static double IG::Num::MExt::Sqr | ( | double | a | ) | `[inline, static]`

Returns the square of a specified number.

static double IG::Num::MExt::Cube | ( | double | a | ) | `[inline, static]`

Returns the square of a specified number.

static double IG::Num::MExt::Pow2 | ( | double | x | ) | `[inline, static]`

Square.

static double IG::Num::MExt::Pow3 | ( | double | x | ) | `[inline, static]`

3rd power.

static double IG::Num::MExt::Pow4 | ( | double | x | ) | `[inline, static]`

4th power.

static double IG::Num::MExt::Pow5 | ( | double | x | ) | `[inline, static]`

5th power.

static double IG::Num::MExt::Pow6 | ( | double | x | ) | `[inline, static]`

6th power.

static double IG::Num::MExt::Sqrt | ( | double | a | ) | `[inline, static]`

Returns the square root of a specified number.

static double IG::Num::MExt::Root2 | ( | double | a | ) | `[inline, static]`

Returns the square root of a specified number.

static double IG::Num::MExt::Root3 | ( | double | a | ) | `[inline, static]`

Returns the cubic root of a specified number.

static double IG::Num::MExt::Exp | ( | double | a | ) | `[inline, static]`

Returns e raised to the specified power.

static double IG::Num::MExt::Log | ( | double | a | ) | `[inline, static]`

Returns the natural (base e) logarithm of a specified number.

static double IG::Num::MExt::Log10 | ( | double | a | ) | `[inline, static]`

Returns the base 10 logarithm of a specified number.

static double IG::Num::MExt::Log2 | ( | double | a | ) | `[inline, static]`

Returns the base 2 logarithm of a specified number.

static double IG::Num::MExt::Log | ( | double | a,
|  | double | logBase
| ) |  | `[inline, static]`

Returns the logarithm of a specified number in a specified base.

Parameters:

  a | Number whose logarithm is returned.
  logBase | Base of the logarithm.

static double IG::Num::MExt::Degrees | ( | double | x | ) | `[inline, static]`

Converts angle in radians to angle in degrees and returns it.

static double IG::Num::MExt::Radians | ( | double | x | ) | `[inline, static]`

Converts angle in degrees to angle in radians and returns it.

static double IG::Num::MExt::Sin | ( | double | a | ) | `[inline, static]`

Returns the sine of the specified angle.

static double IG::Num::MExt::Cos | ( | double | a | ) | `[inline, static]`

Returns the cosine of the specified angle.

static double IG::Num::MExt::Tan | ( | double | a | ) | `[inline, static]`

Returns the tangent of the specified angle.

static double IG::Num::MExt::tan | ( | double | a | ) | `[inline, static]`

Returns the tangent of the specified angle.

static double IG::Num::MExt::Cot | ( | double | x | ) | `[inline, static]`

Returns cotangent of the specified angle.

static double IG::Num::MExt::Acos | ( | double | a | ) | `[inline, static]`

Returns the angle whose cosine is the specified number.

static double IG::Num::MExt::acos | ( | double | a | ) | `[inline, static]`

Returns the angle whose cosine is the specified number.

static double IG::Num::MExt::Asin | ( | double | a | ) | `[inline, static]`

Returns the angle whose sine is the specified number.

static double IG::Num::MExt::asin | ( | double | a | ) | `[inline, static]`

Returns the angle whose sine is the specified number.

static double IG::Num::MExt::Atan | ( | double | a | ) | `[inline, static]`

Returns the angle whose tangent is the specified number.

static double IG::Num::MExt::atan | ( | double | a | ) | `[inline, static]`

Returns the angle whose tangent is the specified number.

static double IG::Num::MExt::arctan | ( | double | a | ) | `[inline, static]`

Returns the angle whose tangent is the specified number.

static double IG::Num::MExt::Acot | ( | double | x | ) | `[inline, static]`

Arc cotangent, inverse of 1/tan(x).

static double IG::Num::MExt::acot | ( | double | x | ) | `[inline, static]`

Arc cotangent, inverse of 1/tan(x).

static double IG::Num::MExt::ArcCot | ( | double | x | ) | `[inline, static]`

Arc cotangent, inverse of 1/tan(x).

static double IG::Num::MExt::arccot | ( | double | x | ) | `[inline, static]`

Arc cotangent, inverse of 1/tan(x).

static double IG::Num::MExt::Atan2 | ( | double | a,
|  | double | b
| ) |  | `[inline, static]`

Returns the angle whose tangent is the quotient of two specified numbers.

static double IG::Num::MExt::atan2 | ( | double | a,
|  | double | b
| ) |  | `[inline, static]`

Returns the angle whose tangent is the quotient of two specified numbers.

static double IG::Num::MExt::arctan2 | ( | double | a,
|  | double | b
| ) |  | `[inline, static]`

Returns the angle whose tangent is the quotient of two specified numbers.

static double IG::Num::MExt::Sinh | ( | double | a | ) | `[inline, static]`

Returns the hyperbolic sine of the specified angle.

Reimplemented from IG::Num::M.

static double IG::Num::MExt::sinh | ( | double | a | ) | `[inline, static]`

Returns the hyperbolic sine of the specified angle.

Reimplemented from IG::Num::M.

static double IG::Num::MExt::Cosh | ( | double | a | ) | `[inline, static]`

Returns the hyperbolic cosine of the specified angle.

static double IG::Num::MExt::cosh | ( | double | a | ) | `[inline, static]`

Returns the hyperbolic cosine of the specified angle.

static double IG::Num::MExt::Tanh | ( | double | a | ) | `[inline, static]`

Returns the hyperbolic tangent of the specified angle.

static double IG::Num::MExt::tanh | ( | double | a | ) | `[inline, static]`

Returns the hyperbolic tangent of the specified angle.

static double IG::Num::MExt::Coth | ( | double | x | ) | `[inline, static]`

Hyperblic cotangent, 1/Math.Tanh.

static double IG::Num::MExt::coth | ( | double | x | ) | `[inline, static]`

Hyperblic cotangent, 1/Math.Tanh.

static double IG::Num::MExt::Arsinh | ( | double | x | ) | `[inline, static]`

Inverse hyperbolic sine.

static double IG::Num::MExt::Arcosh | ( | double | x | ) | `[inline, static]`

Inverse hyperbolic cosine.

static double IG::Num::MExt::Artanh | ( | double | x | ) | `[inline, static]`

Inverse hyperbolic tangent.

static double IG::Num::MExt::Arcoth | ( | double | x | ) | `[inline, static]`

Inverse hyperbolic cotangent.

static long IG::Num::MExt::Factorial | ( | int | factor | ) | `[inline, static]`

Returns factorial of the specified number.

static long IG::Num::MExt::factorial | ( | int | factor | ) | `[inline, static]`

Returns factorial of the specified number.

static long IG::Num::MExt::BinomialCoefficient | ( | long | n,
|  | long | k
| ) |  | `[inline, static]`

Returns binomial coefficient n over k .

Parameters:

  n |
  k |

## Property Documentation

double IG::Num::MExt::E`[static, get]`

Natural logarithmic base.

Reimplemented in IG::Num::Experimental::MX.

double IG::Num::MExt::Pi`[static, get]`

Ratio of the circumference of a circle to its diameter.

Reimplemented in IG::Num::Experimental::MX.

double IG::Num::MExt::Zero`[static, get]`

Zero (value 0.0).

Reimplemented in IG::Num::Experimental::MX.

double IG::Num::MExt::One`[static, get]`

One (value 1.0).

Reimplemented in IG::Num::Experimental::MX.

The documentation for this class was generated from the following file:

- UtilMath.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events